{
  "name": "@lossless.zone/objectstorage",
  "version": "1.7.0",
  "exports": "./mod.ts",
  "nodeModulesDir": "auto",
  "tasks": {
    "test": "deno test --allow-all test/",
    "dev": "pnpm run watch"
  },
  "imports": {
    "@push.rocks/smartstorage": "npm:@push.rocks/smartstorage@^6.3.1",
    "@push.rocks/smartbucket": "npm:@push.rocks/smartbucket@^4.3.0",
    "@aws-sdk/client-s3": "npm:@aws-sdk/client-s3@^3.937.0",
    "@api.global/typedrequest-interfaces": "npm:@api.global/typedrequest-interfaces@^3.0.19",
    "@api.global/typedrequest": "npm:@api.global/typedrequest@^3.2.6",
    "@api.global/typedserver": "npm:@api.global/typedserver@^8.3.1",
    "@push.rocks/smartguard": "npm:@push.rocks/smartguard@^3.1.0",
    "@push.rocks/smartjwt": "npm:@push.rocks/smartjwt@^2.2.1"
  },
  "compilerOptions": {
    "lib": [
      "deno.window",
      "deno.ns"
    ],
    "strict": true,
    "noImplicitAny": true,
    "strictNullChecks": true,
    "noUnusedLocals": false,
    "noUnusedParameters": false
  },
  "fmt": {
    "useTabs": false,
    "lineWidth": 100,
    "indentWidth": 2,
    "semiColons": true,
    "singleQuote": true,
    "proseWrap": "preserve"
  },
  "lint": {
    "rules": {
      "tags": [
        "recommended"
      ]
    }
  }
}
